Bug 100048 - UI: Dialog Data Validity does not allow to Tab to OK button, nor to use (Alt+)Enter to invoke OK
Summary: UI: Dialog Data Validity does not allow to Tab to OK button, nor to use (Alt+...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86 (IA32) All
: medium normal
Assignee: Caolán McNamara
QA Contact:
URL:
Whiteboard: target:5.3.0 target:5.2.0.1
Keywords: accessibility, bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2016-05-25 09:30 UTC by Cor Nouws
Modified: 2016-10-25 18:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2016-05-25 09:30:03 UTC
- start spreadsheet
- Data > Validity
- tab to controls and do something
- try to Tab to OK
  > does not work
- try (Alt+/Ctrl+)Enter for OK
  > does not work either

before 4.3.0.alpa1 the problem doesn't exist.
Comment 1 Aron Budea 2016-05-26 06:25:00 UTC
Confirmed in master build and in 4.3.0.4, not reproduced in 4.2.0.4, all in Windows 7.

There is another tabbing issue with the dialog that is not a regression:
both Input Help and Error Alert tabs have a text edit component. Once you Tab into it, further Tabs don't advance to the next element, but add tabs (white space) in the field.
Comment 2 Commit Notification 2016-06-13 16:18:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bd190aea386d16bee9c129699d1e19580a2d4ba

Resolves: tdf#100048 we can rearrange the hidden child to allow tab traversal

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-06-13 16:20:04 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a3d89b98ac7b25c63cf06cce330e705b20fa5335&h=libreoffice-5-2

Resolves: tdf#100048 we can rearrange the hidden child to allow tab traversal

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2016-06-13 16:23:11 UTC
thanks Caolán!